package sjg.gm;

import sjg.*;

import java.applet.*;
import java.io.*;
import java.awt.*;
import java.awt.image.*;
import java.net.*;

/**
 * A {@link GraphicsModel graphics model} that accesses the game window through a buffer.
 *
 * @author Christian Hvid
 */

public class Buffered extends GraphicsModel {
    SJGame sjg;
    Image frontImage;

    private void initFrontImage() {
        // this call to System.gc() speeds up IE's JVM
        frontImage = null;
        System.gc();

        frontImage = new BufferedImage(sjg.getWidth(),sjg.getHeight(), BufferedImage.TYPE_INT_ARGB);
                // sjg.createImage(sjg.getWidth(), sjg.getHeight());
        setFront(frontImage.getGraphics());

        getFront().setColor(Color.white);
        getFront().fillRect(0, 0, sjg.getWidth(), sjg.getHeight());
        getFront().setColor(Color.black);
    }

    public Buffered(SJGame sjg) {
        super(sjg);
        this.sjg = sjg;
        initFrontImage();
    }

    protected void screenSizeChanged() {
        initFrontImage();
    }

    protected void startDraw(Graphics g) {
    }

    protected void endDraw(Graphics g) {
        g.drawImage(frontImage, 0, 0, null);
    }
}
